Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class PropertyPermission

    java.lang.Object
      |
      +--java.security.Permission
            |
            +--java.security.BasicPermission
                  |
                  +--java.util.PropertyPermission

All Implemented Interfaces:
  Guard, Serializable

public final class PropertyPermission
extends BasicPermission

This class is for property permissions.

The name is the name of the property ("java.home", "os.name", etc). The naming convention follows the hierarchical property naming convention. Also, an asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match. For example: "java.*" or "*" is valid, "*java" or "a*b" is not valid.

The actions to be granted are passed to the constructor in a string containing a list of zero or more comma-separated keywords. The possible keywords are "read" and "write". Their meaning is defined as follows:

read
  read permission. Allows `System.getProperty` to be called.
write
  write permission. Allows `System.setProperty` to be called.

The actions string is converted to lowercase before processing.

Care should be taken before granting code permission to access certain system properties. For example, granting permission to access the "java.home" system property gives potentially malevolent code sensitive information about the system environment (the Java installation directory). Also, granting permission to access the "user.name" and "user.home" system properties gives potentially malevolent code sensitive information about the user environment (the user's account name and home directory).

Since:
  1.2
See Also:
  `BasicPermission`, `Permission`, `Permissions`, `PermissionCollection`, `SecurityManager`

Constructor Summary
`PropertyPermission(String name, String actions)` Creates a new PropertyPermission object with the specified name.

Method Summary
`boolean` | `equals(Object obj)` Checks two PropertyPermission objects for equality.
`String` | `getActions()` Returns the "canonical string representation" of the actions.
`int` | `hashCode()` Returns the hash code value for this object.
`boolean` | `implies(Permission p)` Checks if this PropertyPermission object "implies" the specified permission.
`PermissionCollection` | `newPermissionCollection()` Returns a new PermissionCollection object for storing PropertyPermission objects.

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyPermission

    public PropertyPermission(String name,
                              String actions)

  Creates a new PropertyPermission object with the specified name. The name is the name of the system property, and actions contains a comma-separated list of the desired actions granted on the property. Possible actions are "read" and "write".

Parameters:
  `name` - the name of the PropertyPermission.
  `actions` - the actions string.

Method Detail

### implies

    public boolean implies(Permission p)

  Checks if this PropertyPermission object "implies" the specified permission.

  More specifically, this method returns true if:

  - p is an instanceof PropertyPermission,

  - p's actions are a subset of this object's actions, and

  - p's name is implied by this object's name. For example, "java.*" implies "java.home".

  Overrides:
    `implies` in class `BasicPermission`
  Parameters:
    `p` - the permission to check against.
  Returns:
    true if the specified permission is implied by this object, false if not.

### equals

    public boolean equals(Object obj)

  Checks two PropertyPermission objects for equality. Checks that obj is a PropertyPermission, and has the same name and actions as this object.

  Overrides:
    `equals` in class `BasicPermission`
  Parameters:
    `obj` - the object we are testing for equality with this object.
  Returns:
    true if obj is a PropertyPermission, and has the same name and actions as this PropertyPermission object.

### hashCode

    public int hashCode()

  Returns the hash code value for this object. The hash code used is the hash code of this permissions name, that is, `getName().hashCode()`, where `getName` is from the Permission superclass.

  Overrides:
    `hashCode` in class `BasicPermission`
  Returns:
    a hash code value for this object.

### getActions

    public String getActions()

  Returns the "canonical string representation" of the actions. That is, this method always returns present actions in the following order: read, write. For example, if this PropertyPermission object allows both write and read actions, a call to `getActions` will return the string "read,write".

  Overrides:
    `getActions` in class `BasicPermission`
  Returns:
    the canonical string representation of the actions.

### newPermissionCollection

    public PermissionCollection newPermissionCollection()

  Returns a new PermissionCollection object for storing PropertyPermission objects.

  Overrides:
    `newPermissionCollection` in class `BasicPermission`
  Returns:
    a new PermissionCollection object suitable for storing PropertyPermissions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.